Bug 145931 - not show utf-8 menu text
not show utf-8 menu text
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-24 01:10 EST by Wei-Lun Chao
Modified: 2008-06-16 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:10:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei-Lun Chao 2005-01-24 01:10:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-TW; rv:1.7.5)
Gecko/20041119 Firefox/1.0

Description of problem:
in ~/Emacs:

Emacs*font: -arphic technology co.-ar pl mingti2l
big5-medium-r-normal--0-0-0-0-c-0-iso10646-1
Emacs*XlwMenu.file.labelString:	檔案

then execute xemacs under locale zh_TW.UTF-8:
the file-labelstring not show up


Version-Release number of selected component (if applicable):
xemacs-21.4.15-9

How reproducible:
Always

Steps to Reproduce:
1.edit ~/Emacs
2.change locale
3.execute xemacs
    

Actual Results:  chinese label string of "File" not show up

Expected Results:  chinese label string of "File" should show up

Additional info:
Comment 1 Jens Petersen 2005-01-31 20:47:46 EST
This is correct - currently we don't have a suitable
unicode bitmap font for that though.
Comment 2 Wei-Lun Chao 2005-02-01 00:50:52 EST
something like
http://wqy.sourceforge.net/cgi-bin/index.cgi?yhunifont
??
Comment 3 Ville Skyttä 2006-03-24 02:42:08 EST
Additionally, the FE5 xemacs is built without support for xfontsets for the 
menubar due to the problems it has caused in the past, so I guess 
non-ISO-8859-1 stuff there is simply not supported at least for now. 
Comment 4 Christian Iseli 2007-01-19 02:21:31 EST
This bug hasn't been updated in a long time and targets FE devel.
Could you please check that it still occurs with current FE devel and update
accordingly ?

Thanks.
Comment 5 Bug Zapper 2008-05-14 07:56:54 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 21:10:06 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.